Complete POS Sale

Finalizes a POS sale and moves it to POS Entry. The sale must be fully paid. Optionally creates a kitchen order if kitchenRequest is provided in the request body. Returns error if sale is not fully paid or payment validation fails.

Authentication

x-np-api-keystring
API Key authentication via header

Path parameters

tenantstringRequired

Your Entra Tenant ID. More details.

environmentstringRequired

Your Business Central Environment. More details.

companystringRequired

Your Business Central Company. More details.

saleIdUUIDRequired
The id of a POS sale. This can be provided by the API consumer when creating a new sale.

Headers

x-api-versiondateOptional

Used for API versioning. More details.

Request

This endpoint expects an optional object.
kitchenRequestobjectOptional
If provided, creates a kitchen order linked to this sale

Response

This endpoint returns an object.
entryNointeger
entryIdUUID
documentNostring
totalAmountInclVatdouble
kitchenOrderNolong or null

The kitchen order number if one was created during end-of-sale

kitchenOrderIdUUID or null

SystemId of the kitchen order, for use with GET /restaurant/{restaurantId}/orders/{orderId}